statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2011 Aleksey Khudyakov
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Uniform

Contents

- Constructors
  - Accessors

Description

Variate distributed uniformly in the interval.

Synopsis

- data UniformDistribution
- uniformDistr :: Double -> Double -> UniformDistribution
- uniformA :: UniformDistribution -> Double
- uniformB :: UniformDistribution -> Double

# Documentation

data UniformDistribution Source

Uniform distribution from A to B

Instances

Eq UniformDistribution Source |
Data UniformDistribution Source |
Read UniformDistribution Source |
Show UniformDistribution Source |
Generic UniformDistribution Source |
ToJSON UniformDistribution Source |
FromJSON UniformDistribution Source |
Binary UniformDistribution Source |
ContGen UniformDistribution Source |
Entropy UniformDistribution Source |
MaybeEntropy UniformDistribution Source |
Variance UniformDistribution Source |
MaybeVariance UniformDistribution Source |
Mean UniformDistribution Source |
MaybeMean UniformDistribution Source |
ContDistr UniformDistribution Source |
Distribution UniformDistribution Source |
type Rep UniformDistribution Source |

# Constructors

uniformDistr :: Double -> Double -> UniformDistribution Source

Create uniform distribution.

## Accessors

uniformA :: UniformDistribution -> Double Source

Low boundary of distribution

uniformB :: UniformDistribution -> Double Source

Upper boundary of distribution